<?php
if(!defined('IN_DISCUZ') || !defined('IN_ADMINCP')){
	exit('Access Denied');
}
$table_orders = DB::table('wuxin_stock_orders');
$table_users = DB::table('wuxin_stock_users');
$table_userstocks = DB::table('wuxin_stock_userstocks');
$table_stocks = DB::table('wuxin_stock_stocks');

$sql = <<<EOF

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `pre_wuxin_stock_orders`
-- ----------------------------
DROP TABLE IF EXISTS `pre_wuxin_stock_orders`;
CREATE TABLE `{$table_orders}` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `stockcode` varchar(10) NOT NULL,
  `name` varchar(16) NOT NULL,
  `buyprice` float(6,3) DEFAULT NULL,
  `buyamount` float(8,0) DEFAULT NULL,
  `nowprice` float(6,3) DEFAULT NULL,
  `buymoney` float(15,3) DEFAULT NULL,
  `placetimes` int(10) DEFAULT NULL,
  `status` tinyint(1) DEFAULT NULL,
  `buytimes` int(10) DEFAULT NULL,
  `uid` mediumint(8) DEFAULT NULL,
  `buysell` tinyint(1) DEFAULT NULL,
  `realmoney`  float(12,2) NULL DEFAULT NULL ,
  PRIMARY KEY (`id`,`stockcode`)
) ENGINE=MyISAM AUTO_INCREMENT=149 DEFAULT CHARSET=gbk;

-- ----------------------------
-- Table structure for `pre_wuxin_stock_stocks`
-- ----------------------------
DROP TABLE IF EXISTS `pre_wuxin_stock_stocks`;
CREATE TABLE `{$table_stocks}` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `stockcode` varchar(10) NOT NULL,
  `name` varchar(16) NOT NULL,
  `todaystart` float(10,3) DEFAULT NULL,
  `yesterdaylast` float(10,3) DEFAULT NULL,
  `nowprice` float(10,3) DEFAULT NULL,
  `todaymaxprice` float(10,3) DEFAULT NULL,
  `todayminprice` float(10,3) DEFAULT NULL,
  `competitive` float(8,3) DEFAULT NULL,
  `reserve` float(8,3) DEFAULT NULL,
  `tradingvolume` float(10,0) DEFAULT NULL,
  `tradingamount` float(15,0) DEFAULT NULL,
  `buy1` float(10,0) DEFAULT NULL,
  `buyprice1` float(6,3) DEFAULT NULL,
  `buy2` float(10,0) DEFAULT NULL,
  `buyprice2` float(6,3) DEFAULT NULL,
  `buy3` float(10,0) DEFAULT NULL,
  `buyprice3` float(6,3) DEFAULT NULL,
  `buy4` float(10,0) DEFAULT NULL,
  `buyprice4` float(6,3) DEFAULT NULL,
  `buy5` float(10,0) DEFAULT NULL,
  `buyprice5` float(6,3) DEFAULT NULL,
  `sell1` float(10,0) DEFAULT NULL,
  `sellprice1` float(6,3) DEFAULT NULL,
  `sell2` float(10,0) DEFAULT NULL,
  `sellprice2` float(6,3) DEFAULT NULL,
  `sell3` float(10,0) DEFAULT NULL,
  `sellprice3` float(6,3) DEFAULT NULL,
  `sell4` float(10,0) DEFAULT NULL,
  `sellprice4` float(6,3) DEFAULT NULL,
  `sell5` float(10,0) DEFAULT NULL,
  `sellprice5` float(6,3) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `time` time DEFAULT NULL,
  `gettimes` int(10) DEFAULT NULL,
  `buy_nums` int(10) DEFAULT NULL,
  `changeamt` float(6,2) DEFAULT NULL,
  `changerate` float(4,2) DEFAULT NULL,
  `updown` tinyint(1) DEFAULT NULL,
  `initial`  varchar(10) CHARACTER SET gbk COLLATE gbk_chinese_ci NULL DEFAULT NULL ,
  PRIMARY KEY (`id`,`stockcode`)
) ENGINE=MyISAM AUTO_INCREMENT=304 DEFAULT CHARSET=gbk;

-- ----------------------------
-- Table structure for `pre_wuxin_stock_users`
-- ----------------------------
DROP TABLE IF EXISTS `pre_wuxin_stock_users`;
CREATE TABLE `{$table_users}` (
  `uid` mediumint(9) NOT NULL,
  `name` varchar(20) NOT NULL,
  `allmoney` float(15,2) DEFAULT NULL,
  `realmoney` float(15,2) DEFAULT NULL,
  `stockmoney` float(15,2) DEFAULT NULL,
  `stocks_nums` mediumint(4) DEFAULT NULL,
  `jointimes` int(10) DEFAULT NULL,
  `joinmatch` tinyint(1) DEFAULT NULL,
  `joinmatchtime` int(10) DEFAULT NULL,
  `safebox` float(15,2) DEFAULT NULL,
  `matchmoney` float(15,2) DEFAULT NULL,
  `profit` float(15,2) DEFAULT NULL,
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=gbk;

-- ----------------------------
-- Table structure for `pre_wuxin_stock_userstocks`
-- ----------------------------
DROP TABLE IF EXISTS `{$table_userstocks}`;
CREATE TABLE `pre_wuxin_stock_userstocks` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `stockcode` varchar(10) NOT NULL,
  `name` varchar(16) NOT NULL,
  `buyprice` float(6,3) DEFAULT NULL,
  `amount` float(8,0) DEFAULT NULL,
  `nowprice` float(6,3) DEFAULT NULL,
  `buymoney` float(15,3) DEFAULT NULL,
  `buytimes` int(10) DEFAULT NULL,
  `uid` mediumint(8) DEFAULT NULL,
  `nowmoney` float(10,3) DEFAULT NULL,
  `profit` float(15,2) DEFAULT NULL,
  PRIMARY KEY (`id`,`stockcode`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=gbk;



EOF;

runquery($sql);

$finish = TRUE;
?>